	.opt proc65c02,caseinsensitive
;===============================================================================
;
;NXP 26C92 UART DRIVER
;
;	
;	This is a test file to assemble the 26C92 UART driver.  Note the general
;	order in which the individual files have been INCLUDEd.  The 65C816 must
;	be operated in native mode.
;	
;
         .include "816macs.asm"     ;65C816 instruction macros
         .include "datatypes.asm"   ;atomic & derived data types
         .include "65c816.asm"      ;65C816 register defintions
         .include "26c92.asm"       ;26C92 register definitions
         .include "nxpchannels.asm" ;communication channels definitions
         .include "26c92_data.asm"  ;UART setup data
         .include "masks.asm"       ;run-time masks
         .include "directpage.asm"  ;direct page definitions
         .include "workspace.asm"   ;workspace defintions
;
io_acia  =$d000                     ;assigns base address to UART
;
         *=$00e000                  ;test assembly address
;
         .include "setup.asm"       ;UART configuration routine
         .include "foreground.asm"  ;foreground processing routines
         .include "interrupt.asm"   ;interrupt service routine
         .include "uart_config.asm" ;UART configuration lookup table
         .include "tables.asm"      ;run-time processing lookup tables
;===============================================================================
	.end
