;================================================================================
;
;NXP 26C92 DUAL ASYNCHRONOUS RECEIVER/TRANSMITTER INITIALIZATION DATA
;
;	
;	Each entry in this table consists of a chip register offset paired with
;	the parameter that is to be loaded into the register.  Use caution when
;	editing this table, as changing the order in which parameters are load-
;	ed may cause the device to malfunction.  Table entries are read in rev-
;	erse order during device setup.  Parameters are defined in the file
;	NXP26C92_CONSTANTS.ASM & should be modified there, not here.  Be sure
;	to back up NXP26C92_CONSTANTS.ASM before modifying it.
;	
;
d92tab   .byte dr_imr, u92iqmsk  ;IMR
         .byte dr_crb, u92crtxe  ;CRB
         .byte dr_cra, u92crrsa  ;CRA
         .byte dr_cra, u92crrte  ;CRA
         .byte dr_csrb,u92csbrb  ;CSRB
         .byte dr_csra,u92csbra  ;CSRA
         .byte dr_mrb, u92m2def  ;MR2B
         .byte dr_mrb, u92m1def  ;MR1B
         .byte dr_mra, u92m2def  ;MR2A
         .byte dr_mra, u92m1def  ;MR1A
         .byte dr_crb, u92crmr1  ;CRB
         .byte dr_cra, u92crmr1  ;CRA
         .byte dr_mrb, u92m0bds  ;MR0B
         .byte dr_mra, u92m0ads  ;MR0A
         .byte dr_crb, u92crmr0  ;CRB
         .byte dr_cra, u92crmr0  ;CRA
         .byte dr_acr, u92arbrt  ;ACR
         .byte dr_opcr,u92opdef  ;OPCR
         .byte dr_crb, u92crtmd  ;CRB
         .byte dr_cra, u92crtmd  ;CRA
         .byte dr_crb, u92cresr  ;CRB
         .byte dr_cra, u92cresr  ;CRA
         .byte dr_crb, u92crbir  ;CRB
         .byte dr_cra, u92crbir  ;CRA
         .byte dr_crb, u92crtxr  ;CRB
         .byte dr_cra, u92crtxr  ;CRA
         .byte dr_crb, u92crrxr  ;CRB
         .byte dr_cra, u92crrxr  ;CRA
         .byte dr_imr, 0         ;IMR (disables all IRQs)
         .byte dr_crb, u92crrsd  ;CRB
         .byte dr_cra, u92crrsd  ;CRA
         .byte dr_cra, u92crpdd  ;CRA
s_d92tab =*-d92tab
;
	.end
