;================================================================================
;
;NXP MULTICHANNEL UART CHANNEL REGISTER OFFSETS
;
         .if .ref(c92_cha)     ;channel A
dr_mra   =c92_cha+c92_mr       ;mode select (R/W)
dr_sra   =c92_cha+c92_sr       ;status (R)
dr_csra  =c92_cha+c92_csr      ;clock select (W)
dr_cra   =c92_cha+c92_cr       ;command (W)
dr_rhra  =c92_cha+c92_rhr      ;RxD FIFO (R)
dr_thra  =c92_cha+c92_thr      ;TxD FIFO (W)
         .endif
         .if .ref(c92_chb)     ;channel B
dr_mrb   =c92_chb+c92_mr
dr_srb   =c92_chb+c92_sr
dr_csrb  =c92_chb+c92_csr
dr_crb   =c92_chb+c92_cr
dr_rhrb  =c92_chb+c92_rhr
dr_thrb  =c92_chb+c92_thr
         .endif
         .if .ref(c92_chc)     ;channel C
dr_mrc   =c92_chc+c92_mr
dr_src   =c92_chc+c92_sr
dr_csrc  =c92_chc+c92_csr
dr_crc   =c92_chc+c92_cr
dr_rhrc  =c92_chc+c92_rhr
dr_thrc  =c92_chc+c92_thr
         .endif
         .if .ref(c92_chd)     ;channel D
dr_mrd   =c92_chd+c92_mr
dr_srd   =c92_chd+c92_sr
dr_csrd  =c92_chd+c92_csr
dr_crd   =c92_chd+c92_cr
dr_rhrd  =c92_chd+c92_rhr
dr_thrd  =c92_chd+c92_thr
         .endif
         .if .ref(c92_che)     ;channel E
dr_mre   =c92_che+c92_mr
dr_sre   =c92_che+c92_sr
dr_csre  =c92_che+c92_csr
dr_cre   =c92_che+c92_cr
dr_rhre  =c92_che+c92_rhr
dr_thre  =c92_che+c92_thr
         .endif
         .if .ref(c92_chf)     ;channel F
dr_mrf   =c92_chf+c92_mr
dr_srf   =c92_chf+c92_sr
dr_csrf  =c92_chf+c92_csr
dr_crf   =c92_chf+c92_cr
dr_rhrf  =c92_chf+c92_rhr
dr_thrf  =c92_chf+c92_thr
         .endif
         .if .ref(c92_chg)     ;channel G
dr_mrg   =c92_chg+c92_mr
dr_srg   =c92_chg+c92_sr
dr_csrg  =c92_chg+c92_csr
dr_crg   =c92_chg+c92_cr
dr_rhrg  =c92_chg+c92_rhr
dr_thrg  =c92_chg+c92_thr
         .endif
         .if .ref(c92_chh)     ;channel H
dr_mrh   =c92_chh+c92_mr
dr_srh   =c92_chh+c92_sr
dr_csrh  =c92_chh+c92_csr
dr_crh   =c92_chh+c92_cr
dr_rhrh  =c92_chh+c92_rhr
dr_thrh  =c92_chh+c92_thr
         .endif
;
	.end
